Bug 862997 - navigate "content search --> Repository comparison", spinner doesn't stop when user click 'show 25 more'
navigate "content search --> Repository comparison", spinner doesn't stop whe...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Eric Helms
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 03:28 EDT by Sachin Ghai
Modified: 2013-08-16 14:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The spinner kept rotating after clicking the 'Show 25 More' link. As a result it does not load the next 25 results. This fix modifies the content search controller. Clicking the 'Show 25 More' link now properly loads more results for packages and errata.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:56:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spinner keeps on rotating and doesn't load next 25 results (27.26 KB, image/png)
2012-10-04 03:28 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-10-04 03:28:00 EDT
Created attachment 621408 [details]
spinner keeps on rotating and doesn't load next 25 results

Description of problem:
Spinner doesn't stop on clicking 'show 25 more' link under content search -->Repository comparison
and doesn't load the next 25 results.


Version-Release number of selected component (if applicable):
[root@dhcp201-128 ~]# rpm -qa | grep katello
katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-all-1.1.12-12.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch
[root@dhcp201-128 ~]# 


How reproducible:
always

Steps to Reproduce:
1. sync a product/repo
2. Go to content search
3. Select repo from left pane and click on 'refresh results'
4. on right pane, select the check box for repository comparison and click on 'Compare Repositories'
5. Drop down the page and click on  'show 25 more' link
  
Actual results:
spinner doesn't stop on clicking 'show 25 more' link
and doesn't load the next 25 results.

Expected results:
'show 25 more' should load the results appropriately

Additional info:

Reproducible with firefox 10.0.6
and chrome 9.0.597.107
Comment 2 Mike McCune 2012-10-17 11:28:18 EDT
Since there doesn't appear to be a workaround for this going to consider it for 1.1
Comment 3 Eric Helms 2012-10-22 11:11:50 EDT
This has been fixed as of 2200e42143eb7e92fb03afe0ea92856d9148c027
See https://github.com/Katello/katello/pull/877 for more details.
Comment 6 Og Maciel 2012-10-24 16:56:35 EDT
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-17.el6cf.noarch
* katello-all-1.1.12-17.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-9.el6cf.noarch
* katello-cli-common-1.1.8-9.el6cf.noarch
* katello-common-1.1.12-17.el6cf.noarch
* katello-configure-1.1.9-8.el6cf.noarch
* katello-glue-candlepin-1.1.12-17.el6cf.noarch
* katello-glue-pulp-1.1.12-17.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-2.el6cf.noarch
* pulp-1.1.14-1.el6cf.noarch
* pulp-common-1.1.14-1.el6cf.noarch
* pulp-selinux-server-1.1.14-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 14:56:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 10 Mike McCune 2013-08-16 14:10:46 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.